#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include "ws_server.h"
#include "event_device.h"

namespace Ui {
class MainWindow;
}

class QSpinBox;

class MainWindow : public QMainWindow
{
Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = 0);
	~MainWindow();

private:
	void ws_disconnect_clicked();
	void set_initials_clicked();
	void set_color_clicked();
	void set_score_clicked();
	void set_all_scorebug_clicked();
	void add_goal(QSpinBox *box, int delta);
	void set_clock_clicked();
	void set_clock_limit_clicked();
	void start_and_show_clock_clicked();
	void stop_clock_clicked();
	void show_clock_clicked();
	void hide_clock_clicked();
	void set_comment_clicked();
	void set_and_show_comment_clicked();
	void hide_comment_clicked();
	void set_and_show_autocomment_clicked();
	void show_lower_third_clicked();
	void hide_lower_third_clicked();
	void quick_lower_third_activate();
	void autocomment_update();
	void show_scorebug_clicked();
	void show_group_clicked(const std::string &group_name);
	void show_roster_clicked(const std::string &team_code);
	void show_schedule_clicked();
	void show_carousel_clicked();
	void show_roster_carousel_clicked();
	void show_nothing_clicked();

	Ui::MainWindow *ui;
	WSServer *ws;
	EventDevice *event_device;
};

#endif // MAINWINDOW_H
